Subject: Re: pwd option to return windows path
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Tue, 21 Oct 2003 17:09:32 -0700

Edward Peschko wrote:

> > > There is no option.
> >
> > If your "terse cgf reply decoder ring" has not yet arrived, you may be
> > interested in "man cygpath", e.g. "cygpath -w `pwd`".
> 
> yeah, I did a little more mucking around and came up with cygpath. Its not the most
> obvious place to find that information though, nothing in unix screams out 'cygpath is
> what you want!!!' since there *are* no unix analogs. I think that the same options that
> are on cygpath should also be on pwd; this might make things a little more user friendly.

You will quickly find that the Cygwin motto is that things are the way
they are because the developers are just mean.  Not being one of them, I
can't really read their minds but I would imagine this has come to be
after fielding way too many questions on the mailing lists that boil
down to "Cygwin isn't doing what I thought it should", or some
permutation thereof.

In their defense, I should point out that this one is covered in the
FAQ: <http://cygwin.com/faq/faq.html#SEC37>

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/